apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ template "fullname" . }}
  labels:
    app: {{ .Values.label }}
  annotations:
{{- if .Values.ingress.annotations }}
{{ toYaml .Values.ingress.annotations | indent 4 }}
{{- end }}
spec:
{{- if .Values.ingress.tls.enabled }}
  tls:
  - hosts:
    - {{ template "fqdn" . }}
    secretName: tls-cert
{{- end }}
  rules:
  - host: {{ template "fqdn" . }}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: {{ .Values.label }}
            port:
              number: 80
      - path: /exist
        pathType: Prefix
        backend:
          service:
            name: {{ .Values.label }}
            port:
              number: 8081
